Bug 1235742 - [rhel-osp-director] the overcloud images contain rdo repos .
Summary: [rhel-osp-director] the overcloud images contain rdo repos .
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin
Version: 7.0 (Kilo)
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: beta
: Director
Assignee: Ben Nemec
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-25 15:48 UTC by Omri Hochman
Modified: 2015-08-05 13:56 UTC (History)
5 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-11.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:56:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 237638 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Omri Hochman 2015-06-25 15:48:06 UTC
[rhel-osp-director] the overcloud images contain rdo repos .

[stack@instack ~]$ rpm -qa | grep triple
instack-0.0.7-1.el7ost.noarch
instack-undercloud-2.1.2-4.el7ost.noarch
openstack-tripleo-heat-templates-0.8.6-15.el7ost.noarch
openstack-tripleo-common-0.0.1.dev6-0.git49b57eb.el7ost.noarch
openstack-tripleo-puppet-elements-0.0.1-2.el7ost.noarch
openstack-tripleo-image-elements-0.9.6-1.el7ost.noarch
openstack-tripleo-0.0.7-0.1.1664e566.el7ost.noarch


Description:
After overcloud deployment the nodes contain rdo-repos: 

[heat-admin@overcloud-controller-0 yum.repos.d]$ ls -la
total 36
drwxr-xr-x.   2 root root 4096 Jun 24 10:41 .
drwxr-xr-x. 119 root root 8192 Jun 24 15:46 ..
-rw-r--r--.   1 root root  957 Nov 25  2014 epel.repo
-rw-r--r--.   1 root root 1056 Nov 25  2014 epel-testing.repo
-rw-r--r--.   1 root root  217 Jun 24 10:19 rdo-release.repo
-rw-r--r--.   1 root root  178 Jun 24 10:19 rdo-testing.repo
-rw-r--r--.   1 root root  358 Jun 24 10:18 redhat.repo


I think it relate to prepared images we use from : http://rhos-release.virt.bos.redhat.com/mburns/latest-images/

We are not using https://repos.fedorapeople.org/repos/openstack-m/docs/internal/master/basic_deployment/basic_deployment.html 

get images section , we skip 
export USE_DELOREAN_TRUNK=0
export RHOS=1
export DIB_YUM_REPO_CONF="/etc/yum.repos.d/rhos-release-7-director-rhel-7.1.repo /etc/yum.repos.d/rhos-release-7-rhel-7.1.repo"

Can we update the images to use latest rhos-release-7-rhel-7.1.repo ?

Thanks

Ofer

Comment 3 Mike Burns 2015-06-25 16:01:50 UTC
we set those in the image build, the CLI was just not honoring them.

https://review.gerrithub.io/237638

Comment 4 Mike Burns 2015-06-25 23:12:16 UTC
Latest images do *not* contain anything other than redhat.repo

Verified with an image built using the python-rdomanager-oscplugin-0.0.8-11.el7ost package booted in virt-manager

Probably want to verify using official signed images (which this was not), but the same options are used for both builds, just different repositories

Comment 6 Omri Hochman 2015-06-26 20:54:18 UTC
verified with python-rdomanager-oscplugin-0.0.8-13.el7ost.noarch

Comment 8 errata-xmlrpc 2015-08-05 13:56:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.